.header {
    z-index: 100;
    height: 55px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.87);
    backdrop-filter: blur(50px);
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: rgb(228, 228, 228);
}
    /* Left */
    .header-left {
        display: flex;
        align-items: center;
    }
        .menu {
            height: 24px;
            margin-left: 24px;
            margin-right: 20px;
            cursor: pointer;
        }
        .logo {
            height: 20px;
            margin-left: 12px;
            cursor: pointer;
        }
    /* Middle */
    .header-middle {
        max-width: 500px;
        margin-left: 70px;
        margin-right: 30px;
        display: flex;
        flex: 1;
        align-items: center;
    }
        .search-bar {
            height: 36px;
            flex: 1;
            padding-left: 10px;
            border-width: 1px;
            border-radius: 2px;
            border-style: solid;
            border-color: rgb(192, 192, 192);
            box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
            width: 0;
            font-size: 16px;
        }
            .search-bar::placeholder {
                font-size: 16px;
            }
        .search-button {
            height: 40px;
            width: 66px;
            margin-left: -1px;
            margin-right: 10px;
            background-color: rgb(240, 240, 240);
            border: 1px solid rgb(192, 192, 192);
        }
            .search-icon {
                height: 25px;
            }
        .voice-button {
            height: 40px;
            width: 40px;
            border-radius: 20px;
            border: none;
            background-color: rgb(248, 248, 248);
        }
            .voice-icon {
                height: 24px;
            }
    /* Middle-Right tooltips */
        .search-button,
        .voice-button,
        .upload-container,
        .apps-container,
        .notifications-container {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;
        }
        .search-button .tooltip,
        .voice-button .tooltip,
        .upload-container .tooltip,
        .apps-container .tooltip,
        .notifications-container .tooltip {
            position: absolute;
            padding-top: 4px;
            padding-bottom: 4px;
            padding-left: 8px;
            padding-right: 8px;
            border-radius: 2px;
            bottom: -30px;
            color: white;
            font-size: 12px;
            background-color: gray;
            opacity: 0;
            transition: opacity 0.15s;
            pointer-events: none;
            white-space: nowrap;
        }
        .search-button:hover .tooltip,
        .voice-button:hover .tooltip,
        .upload-container:hover .tooltip,
        .apps-container:hover .tooltip,
        .notifications-container:hover .tooltip {
            opacity: 1;
        }
    /* Right */
    .header-right {
        width: 180px;
        margin-right: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-shrink: 0;
    }
        .upload, .apps, .notifications-icon  {
            height: 24px;
        }
            .notifications-counter {
                position: absolute;
                width: 14px;
                height: 14px;
                border-radius: 14px;
                border-color: white;
                border-style: solid;
                top: -2px;
                right: -5px;
                font-size: 11px;
                text-align: center;
                color: white;
                background-color: rgb(210, 0, 0);
            }
        .user {
            height: 32px;
            border-radius: 16px;
            cursor: pointer;
        }